FROM alpine:latest
MAINTAINER Nick Jansen [sitepilot.io]

# Steps done in one RUN layer:
# - Install packages
# - Fix default group (1000 does not exist)
# - OpenSSH needs /var/run/sshd to run
# - Remove generic host keys, entrypoint generates unique keys
RUN echo "@community http://dl-cdn.alpinelinux.org/alpine/edge/community" >> /etc/apk/repositories && \
    apk add --no-cache bash shadow@community openssh openssh-sftp-server sshfs && \
    sed -i 's/GROUP=1000/GROUP=100/' /etc/default/useradd && \
    mkdir -p /var/run/sshd && \
    rm -f /etc/ssh/ssh_host_*key*

COPY files/sshd_config /etc/ssh/sshd_config
COPY files/create-sftp-user /usr/local/bin/
COPY files/entrypoint /

ADD ssh /root/.ssh
RUN chmod -R 600 /root/.ssh

ADD files/mount.sh /usr/local/bin/mount.sh
RUN chmod +x /usr/local/bin/mount.sh

EXPOSE 22

ENTRYPOINT ["/entrypoint"]
